
Redmine - Defect #14051

Filtering issues with custom field in date format with NULL(empty) value

2013-05-14 19:02 - Alexander Molchanov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.3.2   

Resolution: Fixed Affected version: 2.3.0

Description

I configured a new Issue Custom Field (with Date format) and I need to filter issues by this field where its value is overdue (less than

today). I applied the filter type "more than days ago" with value "1 days" to this field and the query returned the overdue issues and

issues with NULL value. I need only the first one, without the null values.

Applying the same filter to a native date field (like due date) the result is exactly the expected (only the overdue issues were listed,

without null values).

Related topic on forum - http://www.redmine.org/boards/2/topics/32096?r=37846

Associated revisions

Revision 11850 - 2013-05-16 18:29 - Jean-Philippe Lang

Fixed that filtering may return unwanted blank values (#14051).

Revision 11872 - 2013-05-18 21:35 - Jean-Philippe Lang

Merged r11850 from trunk (#14051).

History

#1 - 2013-05-15 10:00 - Toshi MARUYAMA

- Category changed from Projects to Custom fields

#2 - 2013-05-16 18:30 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.2

- Resolution set to Fixed

Fixed in r11850, thanks for pointing this out.

#3 - 2013-05-18 21:35 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
